/*
    This file is part of Bemused.

    Bemused is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Bemused is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bemused; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Copyright (C) 2002 Ashley Montanaro.
*/

#ifndef BEMUSEDDOCUMENT_H
#define BEMUSEDDOCUMENT_H

#ifdef BEMUSED_SERIES_60
  #include <akndoc.h>
#else
  #include <qikdocument.h>
#endif

class CEikAppUi;

#ifdef BEMUSED_SERIES_60
  class CBemusedDocument : public CAknDocument
#else
  class CBemusedDocument : public CQikDocument
#endif
    {
public: // Constructors and destructor
    static CBemusedDocument* NewL(CEikApplication& aApp);
    virtual ~CBemusedDocument();

private:
    CBemusedDocument(CEikApplication& aApp);
    void ConstructL();

private:
    CEikAppUi* CreateAppUiL();
    };

#endif

// End of File

