/*
    This file is part of Bemused.

    Bemused is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Bemused is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bemused; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Copyright (C) 2002 Ashley Montanaro.
*/

#ifndef DIRTREENODE_H__
#define DIRTREENODE_H__

#include <e32base.h>

const TUint8 KNodeTypeRoot = 0x0;
const TUint8 KNodeTypeChild = 0x1;
const TUint8 KNodeTypeOnlyChild = 0x2;
const TUint8 KNodeTypeSibling = 0x3;
const TUint8 KNodeTypeLastSibling = 0x4;
const TUint8 KNodeTypeLastNode = 0xF;

const TUint8 KFileTypeDrive = 0x0;
const TUint8 KFileTypeDir = 0x1;
const TUint8 KFileTypeFile = 0x2;
const TUint8 KFileTypeUnexpandedDir = 0x3;

class CDirTreeNode : public CBase
	{
public:
	static CDirTreeNode* NewL(TUint8 aNodeType, TUint8 aFileType, const TDesC8& aFileName);
	~CDirTreeNode();

	TUint8 iNodeType;
	TUint8 iFileType;
	HBufC8* iFileName;

	CDirTreeNode* iParent;
	CDirTreeNode* iFirstChild;
	CDirTreeNode* iNextSibling;

private:
	CDirTreeNode(TUint8 aNodeType, TUint8 aFileType);
	void ConstructL(const TDesC8& aFileName);
	};

#endif