/*
    This file is part of Bemused.

    Bemused is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Bemused is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bemused; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Copyright (C) 2002 Ashley Montanaro.
*/

#ifndef INCOMING_CALL_LISTENER_H__
#define INCOMING_CALL_LISTENER_H__

#include <e32base.h>
#include <etel.h>

class MIncomingCallListener
	{
public:
	virtual void IncomingCall(const TDesC& aName) = 0;
	};

class CIncomingCallListener : public CActive
	{
public:
	static CIncomingCallListener* NewL(MIncomingCallListener& aListener);
	~CIncomingCallListener();

	void StartListening();
	void RunL();
	TInt RunError(TInt aError);
	void DoCancel();

private:
	CIncomingCallListener(MIncomingCallListener& aListener);
	void ConstructL();

	RTelServer iTelServer;
	RPhone iPhone;
	RLine iLine;
	TName iCallName;

	MIncomingCallListener& iListener;
	};

#endif