/*
    This file is part of Bemused.

    Bemused is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Bemused is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bemused; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Copyright (C) 2002 Ashley Montanaro.
*/

#ifndef BEMUSED_BEHAVIOUR_SETTINGS_CONTAINER_H__
#define BEMUSED_BEHAVIOUR_SETTINGS_CONTAINER_H__

#include <coecntrl.h>
#include <eikenv.h>
#include <aknlists.h>
#include <aknsettingitemlist.h>

#include "BemusedAppUi.h"

const TInt KDownloadDriveSettingIndex = 5;

class CBemusedBehaviourSettingsView;

class CBemusedBehaviourSettingItemList : public CAknSettingItemList
	{
public:
	CBemusedBehaviourSettingItemList(TBemusedSettings& aData);
	void PopulateDriveLettersL(CAknEnumeratedTextPopupSettingItem* aSettingItem);

protected:
	virtual CAknSettingItem* CreateSettingItemL(TInt aSettingId);

private:
	TBemusedSettings& iData;
	};


class CBemusedBehaviourSettingsContainer : public CCoeControl, MCoeControlObserver
    {
public: // Constructors and destructor
    void ConstructL(CBemusedAppUi* aAppUi, CBemusedBehaviourSettingsView* aView, const TRect& aRect);
    ~CBemusedBehaviourSettingsContainer();

public: // Functions from base classes
	TKeyResponse OfferKeyEventL(const TKeyEvent& aKeyEvent, TEventCode aType);

	CBemusedBehaviourSettingItemList* iListBox;

private: // Functions from base classes
    void SizeChanged();
    TInt CountComponentControls() const;
    CCoeControl* ComponentControl(TInt aIndex) const;
    void Draw(const TRect& aRect) const;
    void HandleControlEventL(CCoeControl* aControl,TCoeEvent aEventType);
    
private: // Data.
	CEikScrollBarFrame* iScrollBarFrame;
	
	CBemusedAppUi* iAppUi;
	CBemusedBehaviourSettingsView* iView;
    };

#endif
