/*
    This file is part of Bemused.

    Bemused is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Bemused is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bemused; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Copyright (C) 2002 Ashley Montanaro.
*/

#ifndef BEMUSED_INSTALL_SKIN_DIALOG_H__
#define BEMUSED_INSTALL_SKIN_DIALOG_H__

#include <eikdialg.h>
#include "BemusedAppUi.h"
#include "BemusedSettingsDialog.h"

_LIT(KCDriveSkinTextPath, "c:\\documents\\media files\\document\\Bemused skins\\");
_LIT(KCDriveSkinImagePath, "c:\\documents\\media files\\image\\Bemused skins\\");

_LIT(KDDriveSkinTextPath, "d:\\media files\\document\\Bemused skins\\");
_LIT(KDDriveSkinImagePath, "d:\\media files\\image\\Bemused skins\\");

class CEikListBox;

class CBemusedInstallSkinDialog : public CEikDialog, public MEikListBoxObserver
	{
public:
	CBemusedInstallSkinDialog(CBemusedAppUi* aAppUi, TBemusedSettings& aSettings, TBool aInstall);
	~CBemusedInstallSkinDialog();

	void PreLayoutDynInitL();
	TBool OkToExitL(TInt aKeycode);

private:
	virtual void HandleListBoxEventL(CEikListBox* aListBox, TListBoxEvent aEventType);
	virtual TKeyResponse OfferKeyEventL(const TKeyEvent& aKeyEvent, TEventCode aType);

private:
	TInt GetComboIndex(CEikComboBox* aCombo);
	void GetInstalledSkinListL(CDesCArray* aSkinArray);
	void GetInboxSkinListL(CDesCArray* aSkinArray);
	void GetCopiedSkinListL(const TDesC& aPath, CDesCArray* aSkinArray);

	void InstallSkin(const TDesC& aBitmapFileName, const TDesC& aDescriptionFileName);

private:
	TBemusedSettings& iSettings;
	CBemusedAppUi* iAppUi;

	TBool iInstall;
	
	CDesC16ArrayFlat* iListItems;
	CDesC16ArrayFlat* iInboxSkinBitmapFileNames;
	CDesC16ArrayFlat* iInboxSkinDescriptionFileNames;
    };

#endif
