/*
    This file is part of Bemused.

    Bemused is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Bemused is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bemused; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Copyright (C) 2002 Ashley Montanaro.
*/

#ifndef BEMUSED_SETTINGS_DIALOG_H__
#define BEMUSED_SETTINGS_DIALOG_H__

#include <eikdialg.h>
#include "BemusedAppUi.h"

// The location of the Inbox.
_LIT(KInboxPath, "\\system\\mail\\00001001_S");

// A wildcard which matches all files in a directory.
_LIT(KMatchAll, "*");

// A wildcard which matches only directories containing files.
_LIT(KMatchFiles, "*_F");

_LIT(KMatchInWindowSkinBitmaps, "*_iw.png");
_LIT(KMatchFullScreenSkinBitmaps, "*_fs.png");
_LIT(KMatchInWindowSkins, "*_iw.*");
_LIT(KMatchFullScreenSkins, "*_fs.*");

class CEikComboBox;

class CBemusedSettingsDialog : public CEikDialog
	{
public:
	CBemusedSettingsDialog(CBemusedAppUi* aAppUi, TBemusedSettings& aSettings);

	void PreLayoutDynInitL();
	TBool OkToExitL(TInt aKeycode);

private:
	TInt GetComboIndex(CEikComboBox* aCombo);
	void GetSkinListL(CDesCArray* aSkinArray);
	void PopulateDriveLettersL(CDesCArray* aDriveArray);

private:
	TBemusedSettings& iSettings;
	CBemusedAppUi* iAppUi;
    };

#endif
