/*
    This file is part of Bemused.

    Bemused is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Bemused is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bemused; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Copyright (C) 2002 Ashley Montanaro.
*/

#include "BemusedDocument.h"
#include "BemusedAppUi.h"

CBemusedDocument::CBemusedDocument(CEikApplication& aApp)
#ifdef BEMUSED_SERIES_60
: CAknDocument(aApp)
#else
: CQikDocument(aApp)
#endif
    {
    }

CBemusedDocument::~CBemusedDocument()
    {
    }

void CBemusedDocument::ConstructL()
    {
    }

CBemusedDocument* CBemusedDocument::NewL(CEikApplication& aApp)
    {
    CBemusedDocument* self = new (ELeave) CBemusedDocument(aApp);
    CleanupStack::PushL(self);
    self->ConstructL();
    CleanupStack::Pop();

    return self;
    }

CEikAppUi* CBemusedDocument::CreateAppUiL()
    {
    return new (ELeave) CBemusedAppUi;
    }

// End of File  
