/*
    This file is part of Bemused.

    Bemused is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Bemused is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bemused; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Copyright (C) 2002 Ashley Montanaro.
*/

#include "DirTreeNode.h"

CDirTreeNode::CDirTreeNode(TUint8 aNodeType, TUint8 aFileType)
	: iNodeType(aNodeType), iFileType(aFileType)
	{
	}

CDirTreeNode* CDirTreeNode::NewL(TUint8 aNodeType, TUint8 aFileType, const TDesC8& aFileName)
	{
	CDirTreeNode* self = new (ELeave) CDirTreeNode(aNodeType, aFileType);
	CleanupStack::PushL(self);
	self->ConstructL(aFileName);
	CleanupStack::Pop(); // self

	return self;
	}

void CDirTreeNode::ConstructL(const TDesC8& aFileName)
	{
	iFileName = aFileName.AllocL();
	}

CDirTreeNode::~CDirTreeNode()
	{
	delete iFirstChild;
	delete iNextSibling;
	delete iFileName;
	}