/*
    This file is part of Bemused.

    Bemused is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Bemused is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bemused; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Copyright (C) 2002 Ashley Montanaro.
*/

#include <eikprogi.h>

#include "BemusedProgressDialog.h"
#include "Bemused.hrh"
#include <bemused.rsg>

CBemusedProgressDialog::CBemusedProgressDialog()
	{
	}

CBemusedProgressDialog::~CBemusedProgressDialog()
	{
	if (iCallback)
		{
		TRAPD(ignore, iCallback->DialogDismissedL(0));
		}
	}

void CBemusedProgressDialog::PreLayoutDynInitL()
	{
//	CEikProgressInfo* info = (CEikProgressInfo*) Control(EBemusedProgressDialogId);
//	info->SetFinalValue(iFinalValue);
	}

// This doesn't have to be a leaving function, but is one so it can have the same interface
// as Avkon's progress dialog.

CEikProgressInfo* CBemusedProgressDialog::GetProgressInfoL()
	{
	return (CEikProgressInfo*) Control(EBemusedProgressDialogId);
	}

void CBemusedProgressDialog::SetCallback(MProgressDialogCallback* aCallback)
	{
	iCallback = aCallback;
	}

void CBemusedProgressDialog::SetTextL(const TDesC& aText)
	{
	SetTitleL(aText);
	}

TBool CBemusedProgressDialog::OkToExitL(TInt /*aKeycode*/)
	{
	// Seems to never be called!

	return ETrue;
	}

// End of File  
